TGRMach - Feature #221

Cablear el cable de norma Atari
02/08/2016 09:51 PM - Txinto Vaz

Status: Closed Start date: 02/08/2016
Priority: Normal Due date:

Assignee: Txinto Vaz % Done: 100%
Category: Estimated time: 2.00 hours
Target version: v0.2_USB_y MSX Spent time: 1.00 hour
Description

Hacer el cableado del conector de 9 pines de la norma Atari.

History
#1 - 02/08/2016 10:00 PM - Txinto Vaz

https://es.wikipedia.org/wiki/Joystick_Atari
http://old8bits.blogspot.com.es/2010/08/cable-conversor-normas-joystick.html
http://www.retrowiki.es/fororw/viewtopic.php?f=5058&t=28692

http://www.fag.msxnet.org/connector.html#joystick

http://www.allpinouts.org/index.php/MSX_Joystick
http://www_.allpinouts.org/index.php/Mouse/Joystick_Amiga_9_pin
#2 - 02/09/2016 02:33 AM - Txinto Vaz

Hemos cableado los 9 pines a un conector dentro de la protoboard.

La codificacién es

Pin Color

1 Azul

> Verde

3 Amarillo

4 Blanco

5 Rojo

6 Azul

7 Verde

8 Amarillo

9 Negro

#3 - 02/09/2016 02:34 AM - Txinto Vaz
- Status changed from New to In Progress

- % Done changed from 0 to 100

#4 - 02/09/2016 02:34 AM - Txinto Vaz

- Status changed from In Progress to Resolved

#5 - 02/09/2016 02:34 AM - Txinto Vaz

- Status changed from Resolved to Closed

#6 - 02/19/2016 08:07 PM - Txinto Vaz

Recableamos segun nueva configuracién de pines, ver diferencias en e5584f46

Nuevos pines:

/**** Pin assigment section ****/
#define CFG_POWERGND_PIN 2 // anteriormente 2
https://es.wikipedia.org/wiki/Joystick_Atari
http://old8bits.blogspot.com.es/2010/08/cable-conversor-normas-joystick.html
http://www.retrowiki.es/fororw/viewtopic.php?f=505&t=28692
http://www.faq.msxnet.org/connector.html#joystick
http://www.allpinouts.org/index.php/MSX_Joystick
http://www.allpinouts.org/index.php/Mouse/Joystick_Amiga_9_pin
http://gatatac.org/projects/tgrmach/repository/revisions/e5584f46222b55f5e7e3073b6af977df5091ff9f

#define
#define
#define
#define

#define
#define
#define
#define
#define
#define
#define
#define
#define
#define
#define

CFG_JOY_UP_PIN 23 // anteriormente 23
CFG_JOY_DOWN_PIN 21 // anteriormente 21
CFG_JOY_LEFT_PIN 22 // anteriormente 22
CFG_JOY_RIGHT_PIN 20 // anteriormente 20

CFG_JOY_GREENBUT_PIN 19// anteriormente 19
CFG_JOY_REDBUT_PIN 18 // anteriormente 18
CFG_JOY_BLUEBUT_PIN 17 // anteriormente 17
CFG_JOY_YELLOWBUT_PIN 16 // anteriormente 16
CFG_JOY_GREYBUT_PIN 15 // anteriormente 15
CFG_JOY_BLACKBUT_PIN 14 // anteriormente 14
CFG_JOY_WHITELBUT_PIN 29 // anteriormente 12
CFG_JOY_WHITERBUT_PIN 30 // anteriormente 11
CFG_JOY_MODEBUT_PIN 31 // anteriormente 10
CFG_JOY_RESTARTBUT_PIN 32 // anteriormente 9
CFG_JOY_PLAYERBUT_PIN 33 // anteriormente 8

/**** ATARI norm output

#define
#define
#define
#define
#define
#define
#define
#define
#define
#define

CFG_ATARI_PIN_1
CFG_ATARI_PIN_2
CFG_ATARI_PIN_3
CFG_ATARI_PIN_4
CFG_ATARI_PIN_5
CFG_ATARI_PIN_6
CFG_ATARI_PIN_7
CFG_ATARI_PIN_8
****/

9
8
7
6

5

//
//
//
//
//

anteriormente
anteriormente
anteriormente
anteriormente
anteriormente

S0 oy J

NC

12 // anteriormente 3
11 // anteriormente 1
10 // anteriormente O
CFG_ATARI_PIN_9 4 // anteriormente NC
CFG_ATARI_PIN_9 4 // anteriormente NC

// MSX
// MSX
// MSX
// MSX
// MSX

FW // AZUL ler conector

BACK // VERDE ler conector
LEFT // AMARILLO ler conector
RIGHT // BLANCO ler conector
+5v // ROJO ler conector

// MSX TRG1 // AZUL 20 conector
// MSX TRG2 // VERDE 20 conector
// MSX OUT // AMARILLO 20 conector

// MSX
// MSX

GND // NEGRO ler conector
GND // NEGRO ler conector
